Package fr.gouv.vitam.common.database.builder.request.configuration

# Class BuilderToken

java.lang.Object
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken

Direct Known Subclasses:
  `ParserTokens`

public abstract class BuilderToken extends Object
Main language definition

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `BuilderToken.FACET`
  FACET model
  `static enum`
  `BuilderToken.FACETARGS`
  FACET args model
  `static enum`
  `BuilderToken.FILTERARGS`
  Specific values for Filter arguments
  `static enum`
  `BuilderToken.GLOBAL`
  Global model
  `static enum`
  `BuilderToken.MULTIFILTER`
  Action Filter model
  `static enum`
  `BuilderToken.PROJECTION`
  Projection model
  `static enum`
  `BuilderToken.PROJECTIONARGS`
  Projection args model
  specific fields: version, id, ...
  `static enum`
  `BuilderToken.QUERY`
  Query model
  `static enum`
  `BuilderToken.QUERYARGS`
  Query args model
  `static enum`
  `BuilderToken.RANGEARGS`
  Range args model
  `static enum`
  `BuilderToken.SELECTFILTER`
  SelectFilter model
  `static enum`
  `BuilderToken.UPDATEACTION`
  Update model

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_PREFIX`
  Default prefix for command
  `static final char`
  `DEFAULT_PREFIX_CHAR`
  Default prefix for command

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BuilderToken()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_PREFIX

    public static final String DEFAULT_PREFIX
    Default prefix for command
    See Also:
      - Constant Field Values

  - ### DEFAULT_PREFIX_CHAR

    public static final char DEFAULT_PREFIX_CHAR
    Default prefix for command
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BuilderToken

    protected BuilderToken()